package uk.co.twey.uni.dooom;

/** Exception thrown when an illegal possession occurs. */
public class PossessionException extends Exception {
    static final long serialVersionUID = 6222177919715100436L;

    /**
     * Create a new PossessionException.
     *
     * @param item the object being picked up.
     */
    public PossessionException(ObjectOfDooom item) {
        super("You can't pick up a " + item.getName());
    }
}