package uk.co.twey.uni.dooom.client;

import javax.swing.*;
import javax.swing.text.html.HTMLDocument;

/**
 * A widget offering help loaded from an HTML resource.
 */
public class HelpWidget extends JEditorPane {
    /**
     * Create a new HelpWidget.
     *
     * @param docName the name of the resource to display, sans
     * .html extension.
     */
    public HelpWidget(String docName) {
        setEditable(false);

        try {
            setPage(getClass().getResource("/" + docName + ".html"));
        } catch (java.io.IOException e) {
            System.err.println("HelpWidget.<init>: Failed to read docs:\n" + e);
        }
    }
}