import org.junit.*;
import uk.co.twey.uni.dooom.*;
import uk.co.twey.uni.dooom.client.*;

public class ExitTest {
    @Test
    public void testIcon() {
        Assert.assertEquals('E', (new ExitOfDooom(0, 0)).getIcon());
    }

    @Test(expected = ExitException.class)
    public void testEnter() throws ExitException {
        (new ExitOfDooom(0, 0)).onEnter(new PlayerOfDooom("John Smith", new ConsoleClientOfDooom(null)));
    }
}