package uk.co.twey.uni.dooom;

/**
 * Represents a place that has not yet been explored.
 */
public class DarknessOfDooom extends PlaceOfDooom {
    /**
     * Create a new DarknessOfDooom.
     *
     * @param x the absolute x-coördinate of the place.
     * @param y the absolute y-coördinate of the place.
     */
    public DarknessOfDooom(int x, int y) { super(x, y); }

    /**
     * {@inheritDoc}
     */
    public char getIcon() { return ' '; }

    /**
     * {@inheritDoc}
     */
    public boolean isPassable() { return true; }
}