package uk.co.twey.uni.dooom;

/**
 * An exception thrown to indicate that somebody has stepped onto an exit.
 */
public class ExitException extends EntryException {
    private static final long serialVersionUID = -583840507842715231L;

    /**
     * Create a new ExitException.
     * 
     * @param player the player attempting to leave.
     * @param place the exit the player entered.
     */
    public ExitException(PlayerOfDooom player, PlaceOfDooom place) {
        super(player, place, player.getName() + " attempted to leave the dungeon.");
    }
}