package uk.co.twey.uni.dooom;

/** Exception thrown when a map of invalid format is passed to the
 * game. */
public class MapFormatException extends Exception {
    static final long serialVersionUID = 1795463551187545177L;

    /**
     * Create a new MapFormatException.
     *
     * @param msg the message describing the error with the map.
     */
    public MapFormatException(String msg) {
        super(msg);
    }
}