package uk.co.twey.uni.dooom;

/** Represents a wall. */
public class WallOfDooom extends PlaceOfDooom {
    /**
     * Create a new wall.
     * @param x the absolute x-coördinate of the wall on the map.
     * @param y the absolute y-coördinate of the wall on the map.
     */
    public WallOfDooom(int x, int y) { super(x, y); }

    /** {@inheritDoc} <p> Walls are represented by an octothorpe (#). */
    public char getIcon() { return '#'; }
    
    /** {@inheritDoc} <p> Walls are not passable. */
    public boolean isPassable() { return false; }
}