import org.junit.*;
import uk.co.twey.uni.dooom.*;
import uk.co.twey.uni.dooom.client.*;

public class ExitExceptionTest {
    @Test
    public void testProperties() {
        PlayerOfDooom player = new PlayerOfDooom("John Smith", new ConsoleClientOfDooom(null));
        PlaceOfDooom place = new FloorOfDooom(0, 0);
        ExitException e = new ExitException(player, place);
        
        Assert.assertEquals(player, e.getPlayer());
        Assert.assertEquals(place, e.getPlace());
    }
}